Strumenti Utente

Strumenti Sito


download

Sp2HTML nasce e viene adottato in produzione attualmente solo su Ubuntu Linux. Per questo motivo i pacchetti per il download sono creati e testati per questo sistema operativo. Tuttavia la suddivisione dei pacchetti ne permette l'utilizzo anche su altri sistemi a patto che vengano soddisfatti i requisiti per l'installazione dello Sp2HTML.

Sp2HTMLServer

Nella pacchettizzazione per Ubuntu, Sp2HTMLServer dipende da alcuni pacchetti:

  • php5-cli
  • php5-common
  • php5-curl

Una volta installati i pacchetti sopraindicati basterà effettuare il download del modulo php-gtk (in formato deb) e dell'applicativo Sp2HTMLServer disponibili qui di seguito:

modulo php-gtk2.so

Pacchetto Versione Sistema Descrizione Nome File Dimensione
php5-gtk2 2.0.1 Ubuntu da 8.04 a 9.10 Modulo php-gtk2 per php5-cli php5-gtk2_2.0.1_i386_0gchiesa2.deb 1.4 MB
php5-gtk2 2.0.1 Ubuntu 10.04 Modulo php5-gtk2 per php-cli php5-gtk2_2.0.1_i386_0gchiesa3.deb 1.4 MB



Sp2HTMLServer

Pacchetto Versione Distribuzione Descrizione Nome File Dimensione
Sp2HTMLServer 4.1.2 Ubuntu >= 8.04 Pacchetto Sp2HTMLServer sp2htmlserver-4.1.2.tar.gz 391 KB


Un HOW-TO più completo per l'installazione di Sp2HTMLServer è disponibile qui.

Sp2HTMLClient

Sp2HTMLClient lavora da linea di comando. Perciò non sono necessarie tutte le dipendenze richieste come in Sp2HTMLServer. L'unico requisito necessario per il funzionamento di Sp2HTMLClient è che il PHP sia compilato con il supporto socket (- -enable-sockets)

Una volta installato il PHP basterà scompattare il pacchetto Sp2HMTLClient nella posizione desiderata e seguire l'HOW-TO integrato o disponibile più avanti nella pagina.

Pacchetto Versione Descrizione Nome File Dimensione
Sp2HTMLClient 4.0.0 Pacchetto Sp2HTMLClient sp2htmlclient-4.0.0.tar.gz 14.041 Bytes


Anche per Sp2HTMLClient è disponibile un HOW-TO per il tuo utilizzo a questa pagina.

download.txt · Ultima modifica: 2010/05/11 17:37 da gchiesa